/*---------------------------------------- kv */
@media screen and (max-width: 767px) {
  .bp-kv .bp-kv__headline {
    margin-top: 25px;
    position: relative;
    z-index: 0;
  }
}
@media screen and (min-width: 768px) {
  .bp-kv__headline:has(.bp-kv__headline-box-link) {
    position: relative;
    transform: none;
    left: auto;
    right: auto;
    padding: 0;
    display: flex;
    justify-content: center;
    gap: 50px;
    min-height: 160px;
  }
  .bp-kv__headline .bp-headline {
    position: absolute;
    top: clamp(-370px, -18.3vw, -220px);
    display: block;
    width: 100%;
    text-align: center;
    color: var(--foundation-color-white);
  }
  .bp-kv__headline .bp-kv__headline-ja {
    top: clamp(-270px, -13.5vw, -160px);
    font-size: clamp(12px, 1vw, 16px);
  }
  .bp-kv__headline-box-link {
    position: absolute;
    top: 80px;
  }
  .bp-kv__text-link-first, .bp-kv__text-link {
    display: inline-block;
    font-size: 16px;
    height: fit-content;
    margin-top: 40px !important;
  }
}

/*---------------------------------------- intro */
@media screen and (max-width: 767px) {
  .fancyshape__intro {
    margin: 10% 0;
  }
}
@media screen and (min-width: 768px) {
  .fancyshape__intro {
    background: none;
    padding: 0;
  }
}

/*---------------------------------------- intro */
@media screen and (max-width: 767px) {
  .fancyshape__diamond {
    margin: 10% 0;
  }
}
@media screen and (min-width: 768px) {
  .fancyshape__diamond .bp-headline--left {
    text-align: center;
  }
}


/*---------------------------------------- about-fancy */
.fancyshape__about-fancy {
  padding: 0 12.5%;
}
.fancyshape__dialist-shape-select {
  position: relative;
}
.fancyshape__event-content-inner-container {
  display:flex;
  justify-content:space-between;
}
.fancyshape__dialist-linkarea > a {
  display: inline-block;
  margin-top: 5px;
}
@media all and (max-width: 767px) {
  .fancyshape__about-fancy {
    padding: 0 5%;
  }
}
@media all and (min-width: 768px) {
  .fancyshape__dialist-shape-select {
    max-width: 900px;
    margin: 60px auto 0;
    overflow: visible;
    z-index: 1;
  }
}
.fancyshape__dialist-content-box {
  position: relative;
  margin: 0;
}
.fancyshape__dialist-content.is-active {
  position: relative;
  z-index: 1;
  opacity: 1;
  pointer-events: auto;
}
.fancyshape__dialist-content {
  opacity: 0;
  pointer-events: none;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 0;
  transition: .65s;
}
.fancyshape__shape-switch-prev, .fancyshape__shape-switch-next {
  position: absolute;
  z-index: 2;
  top: 52%;
  cursor: pointer;
}
.fancyshape__shape-switch-prev {
  left: 0;
}
.fancyshape__shape-switch-next {
  right: 0;
}
.fancyshape__shape-switch-prev .fa-chevron-left, .fancyshape__shape-switch-next .fa-chevron-right {
  color:var(--text-main-color);
  font-size: 26px; 
  padding: 10px 16px;
}
.fancyshape__dialist-shape-select-image {
  display: block;
  pointer-events: none;
}
.fancyshape__dialist-headline-wrap {
  margin: 0 0 32px;
}
.fancyshape__dialist-headline, .fancyshape__dialist-headline-silhouette {
  display: block;
  color:var(--text-main-color);
}
.fancyshape__dialist-headline {
  font-size: 20px;
  margin: 0 0 8px;
}
.fancyshape__dialist-headline-silhouette {
  font-size: 11px;
}
@media all and (max-width: 767px) {
  .fancyshape__shape-switch-prev, .fancyshape__shape-switch-next {
    top: 43%;
  }
  .fancyshape__shape-switch-prev .fa-chevron-left, .fancyshape__shape-switch-next .fa-chevron-right {
    font-size: 20px; 
  }
  .fancyshape__dialist-headline-wrap {
    margin: -8px 0 24px;
    text-align: center;
  }
  .fancyshape__dialist-headline {
    font-size: 20px;
  }
  .fancyshape__dialist-content-image {
    z-index: 1;
  }
  .fancyshape__dialist-content-text {
    z-index: 2; 
  }
  .fancyshape__dialist-shape-select-image {
    margin-left: auto;
    margin-right: auto;
    max-width: 70%;
    position: relative;
    z-index: 1;
  }
}
@media all and (min-width: 768px) {
  .fancyshape__dialist-content-image {
    padding: 0 16px 0 20px;
  }
  .fancyshape__dialist-content-text {
    padding: 0 80px 0 16px;
  }
  .fancyshape__dialist-shape-select-image {
    max-width: 100%;
    margin: 0 auto;
    height: auto;
  }
}
.fancyshape__dialist-shape-select-image.is-hidden {
  opacity: 0;
  transform: translateX(-3px);
  transition: opacity .2s, transform 0s .2s;
}
.fancyshape__dialist-shape-select-image.is-visible {
  opacity: 1;
  transform: translateX(0);
  transition: opacity .5s, transform .5s;
}
.fancyshape__dialist-shape-select-list {
  display: flex;
  margin-left: auto;
  margin-right: auto;
}
@media all and (max-width: 767px) {
  .fancyshape__dialist-shape-select-list {
    flex-wrap: wrap;
    justify-content: center;
    width: 90%;
    margin: 44px auto 0;
  }
}
@media all and (min-width: 768px) {
  .fancyshape__dialist-shape-select-list {
    justify-content: space-between;
    max-width: 640px;
  }
}
.fancyshape__dialist-shape-select-item {
  cursor: pointer;
  position: relative;
  text-align: center;
}
@media all and (max-width: 767px) {
  .fancyshape__dialist-shape-select-item {
    height: 51px;
    width: 25%;
    text-align: center;
  }
  .fancyshape__dialist-shape-select-item:nth-of-type(n+5) {
    margin-top: 20px;
    width: 27%;
  }
}
@media all and (min-width: 768px) {
  .fancyshape__dialist-shape-select-item {
    height: 56px;
    min-width: 74px;
  }
}
.fancyshape__dialist-shape-select-item--princess > img {
  width: 30px;
}
.fancyshape__dialist-shape-select-item--pear > img {
  width: 34px;
  margin: -2px 0 0;
}
.fancyshape__dialist-shape-select-item--emerald > img {
  width: 32px;
}
.fancyshape__dialist-shape-select-item--heart > img {
  width: 32px;
}
.fancyshape__dialist-shape-select-item--cushion > img {
  width: 30px;
}
.fancyshape__dialist-shape-select-item--oval > img {
  width: 34px;
}
.fancyshape__dialist-shape-select-item--radiant > img {
  width: 34px;
}
.fancyshape__dialist-shape-select-item.is-active .fancyshape__diamond-icon, .fancyshape__dialist-shape-select-item.is-active .fancyshape__diamond-icon {
  filter: invert(41%) sepia(8%) saturate(3261%) hue-rotate(156deg) brightness(91%) contrast(84%);
}
.fancyshape__dialist-shape-select-item.is-active .fancyshape__dialist-shape-select-item-text {
  color: #31708f;
}
.fancyshape__dialist-shape-select-item-text {
  bottom: 0;
  left: 50%;
  letter-spacing: .15em;
  line-height: 1.0;
  position: absolute;
  text-align: center;
  transform: translateX(-50%);
  white-space: nowrap;
}
@media all and (max-width: 767px) {
  .fancyshape__dialist-shape-select-item-text {
    font-size: 11px;
  }
}
@media all and (min-width: 768px) {
  .fancyshape__dialist-shape-select-item-text {
    font-size: 11px;
  }
}

/*---------------------------------------- column-list */
.bp-column-list__item {
  background: var(--foundation-color-white);
}
.bp-column-list__text-wrap {
  padding: 28px 22px;
}
.bp-column-list__headline-shoulder {
  margin: 0 !important;
}
.bp-headline-shoulder-base {
  font-size: 11px;
}
.bp-column-list__text {
  font-size: 16px !important;
  margin: 10px 0 0;
}
.bp-column-list__text-wrap .bp-sub-text-base {
  display: inline-block;
}
@media screen and (max-width: 767px) {
  .fancyshape__column-list {
    margin: 10% 0 0;
    padding: 10% 0;
  }
  .fancyshape__column-list .bp-column-list {
    display: flex;
    width: calc(310px * 3 + 5.3333% * 2);
    gap: 20px;
  }
  .fancyshape__column-list-design .bp-column-list {
    width: calc(310px * 2 + 5.3333% * 2);
  }
  .fancyshape__column-list .bp-section__inner {
    overflow: auto hidden;
  }
  .fancyshape__column-list .bp-column-list__item:nth-of-type(n+2) {
    margin-top: 0;
  }
  .fancyshape__column-list .bp-column-list__item {
    width: 310px;
  }
}
@media screen and (min-width: 768px) {
  .fancyshape__column-list {
    margin: 40px 0 0;
    padding: 4.15% 0;
  }
  .fancyshape__column-list-design .bp-column-list {
    justify-content: center;
  }
  .fancyshape__column-list-design .bp-column-list--column-2 .bp-column-list__item {
    width: 31.6667%;
    flex-basis: 31.6667%;
    
  }
  .fancyshape__column-list-design .bp-column-list--column-2 .bp-column-list__item:nth-of-type(3n+1) {
    margin-left: 0;
  }
  .fancyshape__column-list-design .bp-column-list--column-2 .bp-column-list__item:nth-of-type(n+4) {
    margin-top: 5%;
  }
}

/*---------------------------------------- design */
@media screen and (max-width: 767px) {
  .fancyshape__design,
  .bp-section.fancyshape__engagement-ring-feature,
  .bp-section.fancyshape__engagement-necklace-feature {
    margin: 10% 0;
  }
  .bp-section.fancyshape__engagement-ring-feature .bp-section__inner,
  .bp-section.fancyshape__engagement-necklace-feature .bp-section__inner {
    padding-right: 0;
  }
  .fancyshape__showroom-only {
    margin-top: -14%;
    padding: 0 var(--sp-padding-horizontal);
  }
}
@media screen and (min-width: 768px) {
  .bp-section.fancyshape__engagement-ring-feature,
  .bp-section.fancyshape__engagement-necklace-feature {
    margin: 50px auto;
  }

  .fancyshape__design .bp-image-text-parallel-list__item {
    flex-direction:row-reverse;
  }
  .fancyshape__showroom-only {
    margin: -6% auto calc(var(--pc-margin-vertical));
    max-width: calc(var(--pc-max-width) + var(--pc-padding-horizontal) * 2);
  }    
}

/*---------------------------------------- about_brilliance */
.about_brilliance .bp-panel-slider {
  margin-bottom: 0;
}
.about_brilliance .bp-panel-slider-headline {
  text-align: center;
}

/*---------------------------------------- faq */
.fancyshape__faq .fancyshape__faq-link {
  display: inline-block;
}
